com.fasterxml.jackson.dataformat.ion

## Class IonParser

- java.lang.Object
- - com.fasterxml.jackson.core.JsonParser
  - - com.fasterxml.jackson.core.base.ParserMinimalBase
    - - com.fasterxml.jackson.dataformat.ion.IonParser

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Closeable, AutoCloseable

      public class IonParser
      extends com.fasterxml.jackson.core.base.ParserMinimalBase

  Implementation of `JsonParser` that will use an underlying `IonReader` as actual parser, and camouflage it as json parser. Will not expose all Ion info (specifically, annotations)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonParser

      `com.fasterxml.jackson.core.JsonParser.Feature, com.fasterxml.jackson.core.JsonParser.NumberType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_closed` Whether this logical parser has been closed or not
    `protected com.fasterxml.jackson.core.io.IOContext` | `_ioContext` Some information about source is passed here, including underlying stream
    `protected com.fasterxml.jackson.core.ObjectCodec` | `_objectCodec`
    `protected com.fasterxml.jackson.core.json.JsonReadContext` | `_parsingContext` Information about context in structure hierarchy
    `protected software.amazon.ion.IonReader` | `_reader`
    `protected com.fasterxml.jackson.core.JsonToken` | `_valueToken` Type of value token we have; used to temporarily hold information when pointing to field name

    - ### Fields inherited from class com.fasterxml.jackson.core.base.ParserMinimalBase

      `_currToken, _lastClearedToken, BD_MAX_INT, BD_MAX_LONG, BD_MIN_INT, BD_MIN_LONG, BI_MAX_INT, BI_MAX_LONG, BI_MIN_INT, BI_MIN_LONG, CHAR_NULL, INT_0, INT_9, INT_APOS, INT_ASTERISK, INT_BACKSLASH, INT_COLON, INT_COMMA, INT_CR, INT_e, INT_E, INT_HASH, INT_LBRACKET, INT_LCURLY, INT_LF, INT_MINUS, INT_PERIOD, INT_PLUS, INT_QUOTE, INT_RBRACKET, INT_RCURLY, INT_SLASH, INT_SPACE, INT_TAB, MAX_ERROR_TOKEN_LENGTH, MAX_INT_D, MAX_INT_L, MAX_LONG_D, MIN_INT_D, MIN_INT_L, MIN_LONG_D, NO_BYTES, NO_INTS, NR_BIGDECIMAL, NR_BIGINT, NR_DOUBLE, NR_FLOAT, NR_INT, NR_LONG, NR_UNKNOWN`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonParser

      `_features, _requestPayload`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IonParser(software.amazon.ion.IonReader r, com.fasterxml.jackson.core.io.IOContext ctxt)` Deprecated. use `instead`
    `IonParser(software.amazon.ion.IonReader r, com.fasterxml.jackson.core.io.IOContext ctxt, com.fasterxml.jackson.core.ObjectCodec codec)` Deprecated. use `instead`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_handleEOF()` Method called when an EOF is encountered between tokens.
    `protected com.fasterxml.jackson.core.JsonToken` | `_tokenFromType(software.amazon.ion.IonType type)`
    `void` | `close()`
    `BigInteger` | `getBigIntegerValue()`
    `byte[]` | `getBinaryValue(com.fasterxml.jackson.core.Base64Variant arg0)`
    `com.fasterxml.jackson.core.ObjectCodec` | `getCodec()`
    `com.fasterxml.jackson.core.JsonLocation` | `getCurrentLocation()`
    `String` | `getCurrentName()`
    `BigDecimal` | `getDecimalValue()`
    `double` | `getDoubleValue()`
    `Object` | `getEmbeddedObject()`
    `float` | `getFloatValue()`
    `int` | `getIntValue()`
    `long` | `getLongValue()`
    `com.fasterxml.jackson.core.JsonParser.NumberType` | `getNumberType()`
    `Number` | `getNumberValue()`
    `com.fasterxml.jackson.core.JsonStreamContext` | `getParsingContext()`
    `String` | `getText()`
    `char[]` | `getTextCharacters()`
    `int` | `getTextLength()`
    `int` | `getTextOffset()`
    `com.fasterxml.jackson.core.JsonLocation` | `getTokenLocation()`
    `String[]` | `getTypeAnnotations()`
    `boolean` | `hasTextCharacters()`
    `boolean` | `isClosed()`
    `com.fasterxml.jackson.core.JsonToken` | `nextToken()`
    `void` | `overrideCurrentName(String name)`
    `boolean` | `requiresCustomCodec()`
    `void` | `setCodec(com.fasterxml.jackson.core.ObjectCodec c)`
    `com.fasterxml.jackson.core.JsonParser` | `skipChildren()`
    `com.fasterxml.jackson.core.Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.core.base.ParserMinimalBase

      `_ascii, _asciiBytes, _constructError, _decodeBase64, _getCharDesc, _handleUnrecognizedCharacterEscape, _hasTextualNull, _reportError, _reportError, _reportError, _reportInvalidEOF, _reportInvalidEOF, _reportInvalidEOF, _reportInvalidEOFInValue, _reportInvalidEOFInValue, _reportMissingRootWS, _reportUnexpectedChar, _throwInternal, _throwInvalidSpace, _throwUnquotedSpace, _wrapError, clearCurrentToken, currentToken, currentTokenId, getCurrentToken, getCurrentTokenId, getLastClearedToken, getValueAsBoolean, getValueAsDouble, getValueAsInt, getValueAsInt, getValueAsLong, getValueAsLong, getValueAsString, getValueAsString, hasCurrentToken, hasToken, hasTokenId, isExpectedStartArrayToken, isExpectedStartObjectToken, nextValue, reportInvalidNumber, reportOverflowInt, reportOverflowLong, reportUnexpectedNumberChar`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonParser

      `_codec, _constructError, _reportUnsupportedOperation, canParseAsync, canReadObjectId, canReadTypeId, canUseSchema, configure, disable, enable, finishToken, getBinaryValue, getBooleanValue, getByteValue, getCurrentValue, getFeatureMask, getFormatFeatures, getInputSource, getNonBlockingInputFeeder, getObjectId, getSchema, getShortValue, getText, getTypeId, getValueAsBoolean, getValueAsDouble, isEnabled, isNaN, nextBooleanValue, nextFieldName, nextFieldName, nextIntValue, nextLongValue, nextTextValue, overrideFormatFeatures, overrideStdFeatures, readBinaryValue, readBinaryValue, readValueAs, readValueAs, readValueAsTree, readValuesAs, readValuesAs, releaseBuffered, releaseBuffered, setCurrentValue, setFeatureMask, setRequestPayloadOnError, setRequestPayloadOnError, setRequestPayloadOnError, setSchema`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _reader

          protected final software.amazon.ion.IonReader _reader

    - #### _ioContext

          protected final com.fasterxml.jackson.core.io.IOContext _ioContext

      Some information about source is passed here, including underlying stream

    - #### _objectCodec

          protected com.fasterxml.jackson.core.ObjectCodec _objectCodec

    - #### _closed

          protected boolean _closed

      Whether this logical parser has been closed or not

    - #### _parsingContext

          protected com.fasterxml.jackson.core.json.JsonReadContext _parsingContext

      Information about context in structure hierarchy

    - #### _valueToken

          protected com.fasterxml.jackson.core.JsonToken _valueToken

      Type of value token we have; used to temporarily hold information when pointing to field name

  - ### Constructor Detail

    - #### IonParser

          @Deprecated
          public IonParser(software.amazon.ion.IonReader r,
                              com.fasterxml.jackson.core.io.IOContext ctxt)

      Deprecated. use `instead`

    - #### IonParser

          @Deprecated
          public IonParser(software.amazon.ion.IonReader r,
                              com.fasterxml.jackson.core.io.IOContext ctxt,
                              com.fasterxml.jackson.core.ObjectCodec codec)

      Deprecated. use `instead`

  - ### Method Detail

    - #### setCodec

          public void setCodec(com.fasterxml.jackson.core.ObjectCodec c)

      Specified by:
        `setCodec` in class `com.fasterxml.jackson.core.JsonParser`

    - #### getCodec

          public com.fasterxml.jackson.core.ObjectCodec getCodec()

      Specified by:
        `getCodec` in class `com.fasterxml.jackson.core.JsonParser`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Specified by:
        `version` in class `com.fasterxml.jackson.core.JsonParser`

    - #### requiresCustomCodec

          public boolean requiresCustomCodec()

      Overrides:
        `requiresCustomCodec` in class `com.fasterxml.jackson.core.JsonParser`

    - #### hasTextCharacters

          public boolean hasTextCharacters()

      Specified by:
        `hasTextCharacters` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `IOException`

    - #### getText

          public String getText()
                         throws IOException

      Specified by:
        `getText` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `IOException`

    - #### getTextCharacters

          public char[] getTextCharacters()
                                   throws IOException

      Specified by:
        `getTextCharacters` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `IOException`

    - #### getTextLength

          public int getTextLength()
                            throws IOException

      Specified by:
        `getTextLength` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `IOException`

    - #### getTextOffset

          public int getTextOffset()
                            throws IOException

      Specified by:
        `getTextOffset` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `IOException`

    - #### getBigIntegerValue

          public BigInteger getBigIntegerValue()
                                        throws IOException

      Specified by:
        `getBigIntegerValue` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### getDecimalValue

          public BigDecimal getDecimalValue()
                                     throws IOException

      Specified by:
        `getDecimalValue` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### getDoubleValue

          public double getDoubleValue()
                                throws IOException

      Specified by:
        `getDoubleValue` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### getFloatValue

          public float getFloatValue()
                              throws IOException

      Specified by:
        `getFloatValue` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### getIntValue

          public int getIntValue()
                          throws IOException

      Specified by:
        `getIntValue` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### getLongValue

          public long getLongValue()
                            throws IOException

      Specified by:
        `getLongValue` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### getNumberType

          public com.fasterxml.jackson.core.JsonParser.NumberType getNumberType()
                                                                         throws IOException

      Specified by:
        `getNumberType` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### getNumberValue

          public Number getNumberValue()
                                throws IOException

      Specified by:
        `getNumberValue` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### getBinaryValue

          public byte[] getBinaryValue(com.fasterxml.jackson.core.Base64Variant arg0)
                                throws IOException

      Specified by:
        `getBinaryValue` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `IOException`

    - #### getEmbeddedObject

          public Object getEmbeddedObject()
                                   throws IOException

      Overrides:
        `getEmbeddedObject` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### getCurrentLocation

          public com.fasterxml.jackson.core.JsonLocation getCurrentLocation()

      Specified by:
        `getCurrentLocation` in class `com.fasterxml.jackson.core.JsonParser`

    - #### getCurrentName

          public String getCurrentName()
                                throws IOException

      Specified by:
        `getCurrentName` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `IOException`

    - #### getParsingContext

          public com.fasterxml.jackson.core.JsonStreamContext getParsingContext()

      Specified by:
        `getParsingContext` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

    - #### getTokenLocation

          public com.fasterxml.jackson.core.JsonLocation getTokenLocation()

      Specified by:
        `getTokenLocation` in class `com.fasterxml.jackson.core.JsonParser`

    - #### nextToken

          public com.fasterxml.jackson.core.JsonToken nextToken()
                                                         throws IOException

      Specified by:
        `nextToken` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `IOException`

    - #### getTypeAnnotations

          public String[] getTypeAnnotations()

      See Also:
        `IonAnnotationTypeDeserializer`

    - #### skipChildren

          public com.fasterxml.jackson.core.JsonParser skipChildren()
                                                             throws IOException

      Overrides:
        `skipChildren` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `IOException`

    - #### _tokenFromType

          protected com.fasterxml.jackson.core.JsonToken _tokenFromType(software.amazon.ion.IonType type)

    - #### _handleEOF

          protected void _handleEOF()
                             throws com.fasterxml.jackson.core.JsonParseException

      Method called when an EOF is encountered between tokens.
      Specified by:
        `_handleEOF` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
      Throws:
        `com.fasterxml.jackson.core.JsonParseException`

    - #### overrideCurrentName

          public void overrideCurrentName(String name)

      Specified by:
        `overrideCurrentName` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

Copyright © 2017 FasterXML. All rights reserved.